Intrusion Prevention

Apache.Struts.2.URLValidator.DoS

Description

This indicates an attack attempt to exploit a Denial of Service vulnerability in Apache Struts.
The vulnerability is due to insufficient validation of user supplied inputs when handling crafted URL. A remote attacker may be able to exploit this to perform a Denial of Service attack on a targeted system, via a crafted request.

Affected Products

Apache Software Foundation Struts 2 2.3.20 through 2.3.28.1
Apache Software Foundation Struts 2 2.5

Impact

Denial of Service: Remote attackers can crash vulnerable systems.

Recommended Actions

Refer to the vendor's advisory for updates:
https://cwiki.apache.org/confluence/display/WW/S2-041

CVE References

CVE-2016-4465